AgentInitializationException (Java SE 11 & JDK 11 )
Keywords: com.sun.tools.attach.AgentInitializationException class

Module jdk.attach
Package com.sun.tools.attach

## Class AgentInitializationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.tools.attach.AgentInitializationException

- All Implemented Interfaces:
    `Serializable`

      public class AgentInitializationException
      extends Exception

  The exception thrown when an agent fails to initialize in the target Java virtual machine.

  This exception is thrown by `VirtualMachine.loadAgent`, `VirtualMachine.loadAgentLibrary`, `VirtualMachine.loadAgentPath` methods if an agent, or agent library, cannot be initialized. When thrown by `VirtualMachine.loadAgentLibrary`, or `VirtualMachine.loadAgentPath` then the exception encapsulates the error returned by the agent's `Agent_OnAttach` function. This error code can be obtained by invoking the `returnValue` method.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AgentInitializationException()` | Constructs an `AgentInitializationException` with no detail message.
    `AgentInitializationException​(String s)` | Constructs an `AgentInitializationException` with the specified detail message.
    `AgentInitializationException​(String s, int returnValue)` | Constructs an `AgentInitializationException` with the specified detail message and the return value from the execution of the agent's `Agent_OnAttach` function.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `returnValue()` | If the exception was created with the return value from the agent `Agent_OnAttach` function then this returns that value, otherwise returns `0`.

    - ### Methods declared in class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AgentInitializationException

          public AgentInitializationException()

      Constructs an `AgentInitializationException` with no detail message.

    - #### AgentInitializationException

          public AgentInitializationException​(String s)

      Constructs an `AgentInitializationException` with the specified detail message.
      Parameters:
        `s` - the detail message.

    - #### AgentInitializationException

          public AgentInitializationException​(String s,
                                              int returnValue)

      Constructs an `AgentInitializationException` with the specified detail message and the return value from the execution of the agent's `Agent_OnAttach` function.
      Parameters:
        `s` - the detail message.
        `returnValue` - the return value

  - ### Method Detail

    - #### returnValue

          public int returnValue()

      If the exception was created with the return value from the agent `Agent_OnAttach` function then this returns that value, otherwise returns `0`.
      Returns:
        the return value